Bug 43834 - [MAINTAINER UPDATE] converters/enca: Fix MASTER_SITES, fix build on pre-nl_langinfo systems.
Summary: [MAINTAINER UPDATE] converters/enca: Fix MASTER_SITES, fix build on pre-nl_la...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-08 18:40 UTC by never
Modified: 2002-10-09 20:02 UTC (History)
0 users

See Also:


Attachments
file.diff (1.25 KB, patch)
2002-10-08 18:40 UTC, never
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description never 2002-10-08 18:40:01 UTC
	- Fix MASTER_SITES, as far as author (again) changed it's location;
	- Fix build on per-nl_langinfo systems (RELENG_4_4 for example);
	- Remove unnecceccary CONFIGURE_ARGS;
	- Bump PORTREVISION.

How-To-Repeat: Try to build enca port:
	- on pre-nl_langinfo system;
	- on any system.
Comment 1 Maxim Sobolev freebsd_committer 2002-10-08 19:00:17 UTC
On Tue, Oct 08, 2002 at 08:31:54PM +0300, Alexandr Kovalenko wrote:
> 
> >Description:
> 	- Fix MASTER_SITES, as far as author (again) changed it's location;
> 	- Fix build on per-nl_langinfo systems (RELENG_4_4 for example);
> 	- Remove unnecceccary CONFIGURE_ARGS;
> 	- Bump PORTREVISION.

You don't need PORTREVISION bump for the things that don't affect
generated package (your changes clearly don't). Please check FreeBSD
Porter's Guide for details.

-Maxim


> >How-To-Repeat:
> Try to build enca port:
> 	- on pre-nl_langinfo system;
> 	- on any system.
> >Fix:
> diff -ruN enca/Makefile enca-devel/Makefile
> --- enca/Makefile	Tue Oct  8 18:16:32 2002
> +++ enca-devel/Makefile	Tue Oct  8 20:21:19 2002
> @@ -7,8 +7,9 @@
>  
>  PORTNAME=	enca
>  PORTVERSION=	0.10.3
> +PORTREVISION=	1
>  CATEGORIES=	converters textproc
> -MASTER_SITES=	http://trific.ath.cx/Ftp/enca/
> +MASTER_SITES=	http://web.dkm.cz/yeti/enca/
>  
>  MAINTAINER=	never@nevermind.kiev.ua
>  
> @@ -21,8 +22,6 @@
>  CONFIGURE_ARGS=	--with-html-dir=${PREFIX}/share/doc/enca \
>  		--without-librecode \
>  		--with-libiconv=${LOCALBASE}
> -CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib" \
> -		CPPFLAGS="-I${LOCALBASE}/include"
>  
>  MAN1=	enca.1
>  MLINKS=	enca.1 enconv.1
> diff -ruN enca/files/patch-src::locale_detect.c enca-devel/files/patch-src::locale_detect.c
> --- enca/files/patch-src::locale_detect.c	Thu Jan  1 03:00:00 1970
> +++ enca-devel/files/patch-src::locale_detect.c	Tue Oct  8 20:13:11 2002
> @@ -0,0 +1,13 @@
> +--- src/locale_detect.c.orig	Tue Oct  8 20:11:40 2002
> ++++ src/locale_detect.c	Tue Oct  8 20:12:12 2002
> +@@ -33,9 +33,9 @@
> + #  else /* HAVE_LANGINFO_H */
> + char *nl_langinfo(nl_item *item);
> + #  endif /* HAVE_LANGINFO_H */
> ++#endif /* HAVE_NL_LANGINFO */
> + 
> + static char *codeset = NULL;
> +-#endif /* HAVE_NL_LANGINFO */
> + 
> + /* Local prototypes. */
> + static char* locale_alias_convert(char *locname);
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> 
> To Unsubscribe: send mail to majordomo@FreeBSD.org
> with "unsubscribe freebsd-ports" in the body of the message
Comment 2 never 2002-10-08 19:04:14 UTC
Hello, Maxim Sobolev!

On Tue, Oct 08, 2002 at 09:00:17PM +0300, you wrote:

> > >Description:
> > 	- Fix MASTER_SITES, as far as author (again) changed it's location;
> > 	- Fix build on per-nl_langinfo systems (RELENG_4_4 for example);
> > 	- Remove unnecceccary CONFIGURE_ARGS;
> > 	- Bump PORTREVISION.
> 
> You don't need PORTREVISION bump for the things that don't affect
> generated package (your changes clearly don't). Please check FreeBSD
> Porter's Guide for details.
Sorry, my bad.

-- 
NEVE-RIPE
Ukrainian FreeBSD User Group
http://uafug.org.ua/
Comment 3 Ying-Chieh Liao freebsd_committer 2002-10-09 20:02:08 UTC
State Changed
From-To: open->closed

committed, thanks